### Method

# Vips Image set_blob

#### Declaration [src]

    void
    vips_image_set_blob (
      VipsImage* image,
      const char* name,
      VipsCallbackFn free_fn,
      void* data,
      size_t length
    )

#### Description [src]

Attaches `data` as a metadata item on `image` under the name `name`.

See also

`vips_image_get_blob()`, `vips_image_set()`.

#### Parameters

`name`

  Type: `const char*`

  Metadata name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`free_fn`

  Type: `VipsCallbackFn`

  Free function for `data`.

  The argument can be `NULL`.

`data`

  Type: An array of `guint8`

  Pointer to area of memory.

  The length of the array is specified in the `length` argument.
  The instance takes ownership of the data, and is responsible for freeing it.

`length`

  Type: `size_t`

  Length of memory area.